Subject: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Andrii Kolomoiets <[email-masked]>
Date: Fri, 8 Nov 2019 09:02:55 +0200

Hi Alan,

> On Sun, Nov 03, 2019 at 04:02:39PM -0500, Michael Dixon wrote:
> > Thanks Alan. I might be a little over my head here, as I’m not sure
> > how to apply a patch. I presume I would have to build from source...
> 
> Yes, you would. It’s not very hard if you’ve got git installed. I can
> talk you through it. Alternatively we can try to find someone else
> running Catalina, there should be a few Emacs devs/users who’ve
> upgraded around here somewhere.

Emacs 27 on Catalina doesn't crash for me even without this patch.
"File->Open File..." and tool bar icon are working fine. Maybe it is
fixed somewhere in Emacs 27?

The only patch that I build Emacs with is from bug#36672 but I think
there are no changes related to this issue.